.p-product-comments {
	margin-top: 30px;

	@media (--mobile) {
		& .p-product-title {
			padding: * 20px;
		}
	}
}

.p-product-comments__unauthorized {
	background-color: #f0f1f2;
	text-align: center;
	padding: 30px 0 15px;

	& p {
		margin: 0 auto 15px;
		max-width: 340px;
		text: #494a4c 17px 20px;

		@media (--mobile) {
			text: 14px 20px;
		}
	}

	& a {
		display: inline-block;
		vertical-align: top;
		size: 220px 50px;
		border-radius: 2px;
		background-color: #2893e0;
		overflow: hidden;
		text-decoration: none;
		text: #ffffff 800 center 14px 50px nowrap;

		@media (--mobile) {
			height: 40px;
			line-height: 40px;
		}
	}

	@media (--mobile) {
		padding: * 20px;
	}
}

.p-product-comments__list {
	margin: 0;
	padding: 0;
	list-style: none;
}

.p-product-comment {
	padding: 25px 20px 15px;
	border-bottom: 1px solid #dcdcdc;

	@media (--tablet-vertical-max) {
		padding: * 0;
	}

	@media (--mobile) {
		padding: * 20px;
	}
}

.p-product-comment__header {
	position: relative;
	overflow: hidden;
}

.p-product-comment__user {
	margin: 0;
	text: #1c1c1c 800 14px 14px;
}

.p-product-comment__time {
	display: block;
	margin-top: 5px;
	text: #808080 14px 14px;
}

.p-product-comment__rate {
	display: block;
	size: 30px;
	position: absolute 0 0 * *;
	border-radius: 100%;
	overflow: hidden;
	text: 500 center 14px 28px nowrap;
	transition: background-color .3s ease 0s, color .3s ease 0s;
	will-change: background-color, color;

	&.greater {
		color: #2893e0;
		border: 1px solid #2893e0;

		@nest .p-product-comment:hover & {
			background-color: #2893e0;
			color: #ffffff;
		}
	}

	&.lower {
		color: #ba2b0e;
		border: 1px solid #ba2b0e;

		@nest .p-product-comment:hover & {
			background-color: #ba2b0e;
			color: #ffffff;
		}
	}
}

.p-product-comment__plus {
	size: 25px;
	opacity: 0;
	border: 1px solid #2893e0;
	border-radius: 100%;
	position: absolute 3px 40px * *;
	transition: opacity .3s ease 0s, background-color .3s ease 0s;
	will-change: opacity, background-color;

	&::after {
		content: '';
		display: block;
		size: 1px 10px;
		position: absolute 50% * * 50%;
		transform: translate(-50%, -50%);
		background-color: #2893e0;
		transition: background-color .3s ease 0s;
	}

	&::before {
		content: '';
		display: block;
		size: 10px 1px;
		position: absolute 50% * * 50%;
		transform: translate(-50%, -50%);
		background-color: #2893e0;
		transition: background-color .3s ease 0s;
	}

	&:hover {
		background-color: #2893e0;

		&::after,
		&::before {
			background-color: #ffffff;
		}
	}

	@nest .p-product-comment:hover & {
		opacity: 1;
	}
}

.p-product-comment__minus {
	size: 25px;
	opacity: 0;
	border: 1px solid #2893e0;
	border-radius: 100%;
	position: absolute 3px 75px * *;
	transition: opacity .3s ease 0s, background-color .3s ease 0s;
	will-change: opacity, background-color;

	&::before {
		content: '';
		display: block;
		size: 10px 1px;
		position: absolute 50% * * 50%;
		transform: translate(-50%, -50%);
		background-color: #2893e0;
		transition: background-color .3s ease 0s;
	}

	&:hover {
		background-color: #2893e0;

		&::after,
		&::before {
			background-color: #ffffff;
		}
	}

	@nest .p-product-comment:hover & {
		opacity: 1;
	}
}


.p-product-comment__text {
	margin: 15px 0 0;
	text: #2e2e2e 17px 25px;

	@media (--mobile) {
		text: 14px 20px;
	}
}

.p-product-comments__form {
	border-bottom: 1px solid #dcdcdc;
	padding-bottom: 25px;
}

.p-product-comments__form-fieldset {
	background-color: #f0f1f2;
	padding: 20px;
}

.p-product-comments__form-title {
	margin: 0 0 5px;
	text: #1c1c1c 800 14px 14px;
}

.p-product__form-textarea {
	width: 100%;
	background-color: transparent;
	border: 0;
	outline: 0;
	padding: 0;
	resize: none;
	text: #494a4c 17px 20px;

	@media (--mobile) {
		font-size: 14px;
	}
}

.p-product-comments__form-submit {
	display: block;
	margin: 10px 0 0;
	size: 160px 40px;
	border-radius: 2px;
	background-color: #2893e0;
	overflow: hidden;
	text: #ffffff 800 center 14px 40px nowrap;

	@media (--mobile) {
		margin-left: 20px;
	}
}
